/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#include <core/playlists/type.h>


/*
 * Noop playlist operations.
 */
void playlist_noop_set_flag(struct playlist *playlist,
			    enum queue_flags flag, bool enabled)
{
}

void playlist_noop_sort(struct playlist *playlist,
			enum compare_t sort, bool reset)
{
}


/*
 * Generic playlist operations.
 */
void playlist_generic_set_flag(struct playlist *playlist,
			       enum queue_flags flag, bool enabled)
{
	if (enabled)
		return queue_set_flag(&playlist->pl_queue, flag);
	return queue_unset_flag(&playlist->pl_queue, flag);
}

void playlist_generic_sort(struct playlist *playlist,
			   enum compare_t sort, bool reset)
{
	queue_sort(&playlist->pl_queue, sort, reset);
}
